tigase.jaxmpp.core.client

## Class XMPPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.jaxmpp.core.client.exceptions.JaxmppException
      - - tigase.jaxmpp.core.client.XMPPException

- All Implemented Interfaces:
    Serializable

      public class XMPPException
      extends JaxmppException

  This exception may throwed during processing stanza. In result error will be send back to stanza sender.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XMPPException.ErrorCondition`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPPException(XMPPException.ErrorCondition condition)`
    `XMPPException(XMPPException.ErrorCondition condition, String message)`
    `XMPPException(XMPPException.ErrorCondition condition, String message, Throwable caught)`
    `XMPPException(XMPPException.ErrorCondition condition, Throwable caught)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMPPException.ErrorCondition` | `getCondition()`
    `static String` | `getXmlns()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMPPException

          public XMPPException(XMPPException.ErrorCondition condition)

    - #### XMPPException

          public XMPPException(XMPPException.ErrorCondition condition,
                               String message)

    - #### XMPPException

          public XMPPException(XMPPException.ErrorCondition condition,
                               String message,
                               Throwable caught)

    - #### XMPPException

          public XMPPException(XMPPException.ErrorCondition condition,
                               Throwable caught)

  - ### Method Detail

    - #### getXmlns

          public static String getXmlns()

    - #### getCondition

          public XMPPException.ErrorCondition getCondition()

Copyright © 2006–2019 Tigase. All rights reserved.